summaryrefslogtreecommitdiff
path: root/tests/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests.sh')
-rwxr-xr-xtests/tests.sh21
1 files changed, 5 insertions, 16 deletions
diff --git a/tests/tests.sh b/tests/tests.sh
index 5b6b1af..f519447 100755
--- a/tests/tests.sh
+++ b/tests/tests.sh
@@ -6,22 +6,11 @@ set -e
## SETUP
########################################################################
-error() {
- echo "$1"
- echo "sleeping 3"
- sleep 3
- exit 255
-}
-
-[ -z "$calendar_cli" ] && [ -x ./calendar-cli.py ] && calendar_cli=./calendar-cli.py
-[ -z "$calendar_cli" ] && [ -x ../calendar-cli.py ] && calendar_cli=../calendar-cli.py
-[ -z "$calendar_cli" ] && error "couldn't find ./calendar_cli.py nor ../calendar_cli.py"
-
-calendar_cli() {
- echo " $calendar_cli $@"
- output=$($calendar_cli "$@")
- [ -z "$output" ] || echo $output
-}
+for path in . .. ./tests ../tests
+do
+ setup="$path/_setup_alias"
+ [ -x $setup ] && source $setup
+done
echo "## CLEANUP from earlier failed test runs"